# Onyx SQL/4GL Systemconfiguration for Linux

# Compiler dependent :

# C-Compiler command
CC=cc
# Symlink command
SymLink=ln -sf
# C-Compiler flags
CF=-D_LINUX -DSV -fwritable-strings
# Do Y have termios or sgtty
TERM=-DHAVE_TERMIOS
# AR-Command for Librarys
AR=ar
# AR flags
ARFLAGS=ru
# Ranlib for Librarys
RANLIB=ranlib
# System librarys
SYSLIBS=-ltermcap
# Onyx SQL/4GL Siteconfiguration antonia

# PATH definitions :

# Library path
LIB_PATH=/home/kraehe/Onyx/lib
# Include path
INC_PATH=/home/kraehe/Onyx/include
# Binary path
BIN_PATH=/home/kraehe/Onyx/bin

# Include path of C++ includes
INC_ORG=/usr/include
# Binary path after install
INS_PATH=/home/bin

# GNU-SQL home directory
GSQL_HOME=/home/gsql

# GNU-SQL binary
GSQL_BIN=/home/gsql/bin
# GNU-SQL database
GSQL_DATA=/home/gsql/database
# GNU-SQL spool
GSQL_SPOOL=/home/gsql/spool
# GNU-SQL tmp
GSQL_TMP=/home/gsql/tmp

# GNU-SQL inetd service number
GSQL_SERV=1526

# Ok now I wanna know which Engines Y wanna use answer Y or - to make blank.

# Bruce Momjians SHQL
USE_SHQL=Y
# GNU-AWK
USE_GAWK=Y
# Univerity Ingres 89
USE_INGRES=Y
# Infromix SE+ISQL
USE_INFORMIX=

# The default engine should be one of the following

# informix
# shql
# gawk
# ingres

# Default SQL-engine
DEFAULT_ENGINE=gawk
# Shql binary path
SHQL_BIN_PATH=/usr/bin/shql
# Gawk binary path
GAWK_BIN_PATH=/usr/bin/gawk
# Ingres home directory
INGRES_HOME=/home/ingres
LQ=-lq
ENGINES= SqlShql.o SqlGawk.o SqlIngres.o
CFLAGS=-D_LINUX -DSV -fwritable-strings -DHAVE_TERMIOS -nostdinc -I/home/kraehe/Onyx/include -I/usr/include -L/home/kraehe/Onyx/lib
