/* Onyx SQL/4GL Systemconfiguration for Linux */

/* Compiler dependent : */

/* C-Compiler command */
#define CC "cc"
/* Symlink command */
#define SymLink "ln -sf"
/* C-Compiler flags */
#define CF "-D_LINUX -DSV -fwritable-strings"
/* Do Y have termios or sgtty */
#define TERM "-DHAVE_TERMIOS"
/* AR-Command for Librarys */
#define AR "ar"
/* AR flags */
#define ARFLAGS "ru"
/* Ranlib for Librarys */
#define RANLIB "ranlib"
/* System librarys */
#define SYSLIBS "-ltermcap"
/* Onyx SQL/4GL Siteconfiguration antonia */

/* PATH definitions : */

/* Library path */
#define LIB_PATH "/home/kraehe/Onyx/lib"
/* Include path */
#define INC_PATH "/home/kraehe/Onyx/include"
/* Binary path */
#define BIN_PATH "/home/kraehe/Onyx/bin"

/* Include path of C++ includes */
#define INC_ORG "/usr/include"
/* Binary path after install */
#define INS_PATH "/home/bin"

/* GNU-SQL home directory */
#define GSQL_HOME "/home/gsql"

/* GNU-SQL binary */
#define GSQL_BIN "/home/gsql/bin"
/* GNU-SQL database */
#define GSQL_DATA "/home/gsql/database"
/* GNU-SQL spool */
#define GSQL_SPOOL "/home/gsql/spool"
/* GNU-SQL tmp */
#define GSQL_TMP "/home/gsql/tmp"

/* GNU-SQL inetd service number */
#define GSQL_SERV "1526"

/* Ok now I wanna know which Engines Y wanna use answer Y or - to make blank. */

/* Bruce Momjians SHQL */
#define USE_SHQL "Y"
/* GNU-AWK */
#define USE_GAWK "Y"
/* Univerity Ingres 89 */
#define USE_INGRES "Y"
/* Infromix SE+ISQL */

/* The default engine should be one of the following */

/* informix */
/* shql */
/* gawk */
/* ingres */

/* Default SQL-engine */
#define DEFAULT_ENGINE "gawk"
/* Shql binary path */
#define SHQL_BIN_PATH "/usr/bin/shql"
/* Gawk binary path */
#define GAWK_BIN_PATH "/usr/bin/gawk"
/* Ingres home directory */
#define INGRES_HOME "/home/ingres"
