/* -----------------------------------------------------------------------------
 * MailMerge.c (c) Michael kraehe@bakunin.north.de
 */

#include <stdio.h>
#include <string.h>
#include <memory.h>

/* -------------------------------------------------------------------------- */

FILE *confp;
char *confn;

/* -------------------------------------------------------------------------- */

void usage()
{	fprintf(stderr,"Usage : mailmerge mailfile <list >outp\n");
	exit(0);
	}

/* -------------------------------------------------------------------------- */

void mailmerge()
{	char rec[512];
	char *field;
	char line[128];
	char *p,*q;

	while (fgets(rec,511,stdin)) {
		field = rec;
		confp = fopen(confn,"r");
		if (!confp) exit(0);

		memset(line,0,128);
		while (fgets(line,127,confp)) {
			if (line[strlen(line)-1]=='\n')
				line[strlen(line)-1]=0;
			if (line[strlen(line)-1]=='\r')
				line[strlen(line)-1]=0;

			while ((p=strchr(line,'$'))) {
				*p=' ';

				if (field) {
					if ((q=strchr(field,'\t'))) *q=0;

					while ((*p <= ' ') && *field) {
						*p=*field;
						p++;
						field++;
						}
						
					if (q) field=q+1;
					else   field=0;
					}
				}
			printf("%s\n",line);
			memset(line,0,128);
			}
		fclose(confp);
		}
	}

/* -------------------------------------------------------------------------- */

int main(argc,argv)
int argc;
char **argv;
{	if (argc != 2) usage();
	confn=argv[1];
	mailmerge();
	return(0);
	}
