#ifndef H_ppg
#define H_ppg

#include "parser.h"

class ppg : public Parser {
	public :
		int indent;
		Text *stack;
		char *classname;
		char *parent;
		Text *manual;
		char *manline;
		int  man_flag;
		        
		void add(char *str);
		void flush();
		void printlf(int offs);
		
		ppg(LineStream *InitStream);
		virtual ~ppg();
		
		int cbody();
		int cheader();
		int token();
		int list();
		int choice();
		int option();
		int loop();
		int formula();
		int def();
		int include();
		int classes();
		int definitions();
		int grammar();
		virtual int line_comment();
	};

#endif
