extern "C" {
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
}
#include "twin.h"

void SubMenu(MenuButton *m,int ch)
{	if (m->param) {
		if (!m->param->x && !m->param->y) {
			if (((ViewMenu *)(m->parent))->par_menu) {
				m->param->x = m->RealX(m->b);
				m->param->y = m->RealY(-1);
				}
			else {
				m->param->x = m->RealX(0);
				m->param->y = m->RealY(1);
				}
			}
		VRoot.add(m->param); VRoot.up(m->param); m->param->map(&VRoot);
		m->param->focus_in(0);
		m->param->set_cursor(1,1);
		}
	}

void MapMask(MenuButton *m,int ch)
{	ViewMask *v;

	if (m->param) {
		v = (ViewMask *)m->param;
		/* fprintf(stderr,"Showing %s %d %d %d %d\n",v->name,
			v->x,v->y,v->b,v->h); */
		VRoot.add(v); VRoot.up(v); v->map(&VRoot);
		v->focus_in(0);
		}
	else	VRoot.set_cursor(0,0);
	}

void TwinExit(MenuButton *m,int ch)
{	exit(0);
	}

void FirstCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->first();
		m->param->expose();
		m->param->focus_in(0);
		}
	}

void NextCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->next();
		m->param->expose();
		m->param->focus_in(0);
		}
	}

void PrevCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->prev();
		m->param->expose();
		m->param->focus_in(0);
		}
	}

void LastCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->last();
		m->param->expose();
		m->param->focus_in(0);
		}
	}

void AddCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->add();
		m->param->expose();
		m->param->focus_in(0);
		}
	}

void CleanCursor(MenuButton *m,int ch)
{	Cursor *c;

	if (m->param) {
		c=((ViewCursor *)m->param)->cursor;
		c->clean();
		m->param->expose();
		m->param->focus_in(0);
		}
	}
